/*
 * Copyright (C) 2010-2013 jeanfi@gmail.com
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA
 */

#ifndef _TTRSS_MODEL_H_
#define _TTRSS_MODEL_H_

struct headline {
	int id;

	char *url;
	char *title;
	char *excerpt;
	char *content;
	int unread;
};

struct feed {
	char *title;
	char *url;
	int id;
	int unread;

	struct headline **headlines;
};

void feed_free(struct feed *feed);
void feeds_free(struct feed **feed);
struct headline **headlines_add(struct headline **list, struct headline *h);

struct feed **feeds_add(struct feed **list, struct feed *f);
struct headline *feed_get_headline(struct feed *feed, int id);

#endif
